<script>
    $('#select-jurusan').on('change', function() {
            var val1 = this.value;
            $.getJSON(baseUrl+'/getAngkatanSekolah/'+val1, (result) => {
                if (result.error_code == '0') {
                    let opt = '<option value="">- Pilih Kelas -</option>';
                    var dataSem = result.data;
                    dataSem.sort(function(a, b){
                        return a.nama - b.nama;
                    });
                    $.each(result.data, function(i, item) {
                        opt += '<option value="'+item.id+'">'+item.nama+'</option>';
                    });
                    $("#select-kelas").html(opt);
                }else{
                    let opt = '<option value="">- Tidak Bisa -</option>';
                    $("#select-kelas").html(opt);
                }
                $("#select-kelas").select2({
                    placeholder: "Pilih Kelas",
                });
            });
        });
        
</script>